Name:		ultrastardx
Version:	1.1
Release:	%mkrel 4
License:	GPL
Summary:	UltraStar Deluxe is a free karaoke game
URL:		http://www.ultrastardeluxe.org/
Source0:	%{name}-%{version}-src.tar.xz
Patch0:		ultrastardx-1.1-remove-macos-install.patch
Patch1:		ultrastardx-1.1-ffmpeg0.8.patch
Group: 		Games/Arcade
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libx11-devel
BuildRequires:	freetype2-devel
BuildRequires:	portaudio-devel
BuildRequires:	libpng-devel
BuildRequires:	sqlite3-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	fpc-src >= 2.2.2
BuildRequires:  fpc
BuildRequires:  lua-devel >= 5.1
Obsoletes:  	%name < %version

%description
The gameplay of UltraStar Deluxe is similar to that of the commercial product 
SingStar™ by Sony Computer Entertainment, which is exclusivly available for 
Playstation®. However UltraStar Deluxe allows to create own songs and as well 
differs from other karaoke programs in further aspects. It allows you to play 
with up to 12 players and sing along to your favorite songs. You do not even 
have to buy expensive DVDs with not so many songs you really like, instead 
just buy DRM free audio files, use your album/cd music you already own and 
so on - You'll notice that this is way cheaper because you won't ever be 
charged twice for a song you already bought in the past. 

For more informations visit
<http://www.ultrastardeluxe.org/>

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p0
%patch1 -p1 -b .ffmpeg

%build
./autogen.sh
./configure --prefix=%{_prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=UltraStar Deluxe
Type=Application
Comment=UltraStar Deluxe is a free karaoke game
Terminal=false
Exec=ultrastardx
Icon=/usr/share/ultrastardx/resources/icons/ultrastardx-icon.png 
Categories=Game;ArcadeGame;
GenericName=UltraStar Deluxe
EOF



%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%doc COPYING.txt
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop



%changelog

* Sun Sep 18 2011 fwang <fwang> 1.1-4.mga2
+ Revision: 145022
- rebuild for new libpng

* Sun Jun 26 2011 fwang <fwang> 1.1-3.mga2
+ Revision: 113926
- more fix
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Fri May 13 2011 mikala <mikala> 1.1-2.mga1
+ Revision: 97994
- Clean Requires
- Fix desktop file

* Fri May 13 2011 mikala <mikala> 1.1-1.mga1
+ Revision: 97918
- Add missing BR
- Add patch1 to fix Makefile.in (Rule syntax was wrong on mac os part build & since we're not using it let's drop it)

  + dmorgan <dmorgan>
    - imported package ultrastardx

